Package org.apache.cayenne.access.sqlbuilder.sqltree

# Class ValueNode

java.lang.Object
org.apache.cayenne.access.sqlbuilder.sqltree.Node
org.apache.cayenne.access.sqlbuilder.sqltree.ValueNode

Direct Known Subclasses:
  `DerbyValueNode`

public class ValueNode extends Node

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

  `children, childrenCount, parent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueNode(Object value, boolean isArray, DbAttribute attribute)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addValueBinding(QuotingAppendable buffer, Object value)`
  `QuotingAppendable`
  `append(QuotingAppendable buffer)`
  `protected void`
  `appendNullValue(QuotingAppendable buffer)`
  `protected void`
  `appendObjectValue(QuotingAppendable buffer, Object value)`
  `protected void`
  `appendStringValue(QuotingAppendable buffer, CharSequence value)`
  `Node`
  `copy()`
  `DbAttribute`
  `getAttribute()`
  `Object`
  `getValue()`
  `boolean`
  `isArray()`

  ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

  `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValueNode

    public ValueNode(Object value, boolean isArray, DbAttribute attribute)

- ## Method Details

  - ### getValue

    public Object getValue()

  - ### getAttribute

    public DbAttribute getAttribute()

  - ### isArray

    public boolean isArray()

  - ### append

    public QuotingAppendable append(QuotingAppendable buffer)
    Specified by:
      `append` in class `Node`

  - ### appendNullValue

    protected void appendNullValue(QuotingAppendable buffer)

  - ### appendObjectValue

    protected void appendObjectValue(QuotingAppendable buffer, Object value)

  - ### appendStringValue

    protected void appendStringValue(QuotingAppendable buffer, CharSequence value)

  - ### addValueBinding

    protected void addValueBinding(QuotingAppendable buffer, Object value)

  - ### copy

    public Node copy()
    Specified by:
      `copy` in class `Node`